Bug 485911 - (ksplash) Ksplash cannot determine screen resolution
Ksplash cannot determine screen resolution
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 07:43 EST by Joshua Covington
Modified: 2009-06-07 19:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-07 19:43:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Covington 2009-02-17 07:43:39 EST
Description of problem:

When I start kde (I think ksplash is responsible for this) the spash screen cannot determine my screen resolution. As a result the dialog is in the upper left corner and in the upper side i see parts of open windows from the last session. The mouse pointer is centered though. Once kde loads then everything is fine. There are no  error reports. This is with kde4.2.0 on f9 but I get the same with f10. it looks like a video driver problem. I don't know if the driver can "remember" the last open windows so that it can show part of them on the next login. The card is ati xpress  rs482 adn there are no other visible problems instead of this.

In kde the compositing type is set to OpenGL, OpenGL mode: Texture from Pixmap, Texture filter: Nearest(fastest) with enabled direct rendering and usevc checked. I also tried the other options but this still persist.

Take a look at the photos that show this:

http://img413.imageshack.us/img413/1794/image1vz5.jpg
http://img22.imageshack.us/img22/730/image2cc7.jpg


Version-Release number of selected component (if applicable):


How reproducible:
start kde4.2.0 with rs482


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kevin Kofler 2009-02-17 08:33:21 EST
I can confirm this, also happens on a Radeon 9200 SE, though in my case the remainder of the screen is black, not containing junk.
Comment 2 Joshua Covington 2009-02-17 09:06:23 EST
Is it a driver problem?

In my case anything else works fine but this. The rhgb is fine and there are no visible problems with the picture. Video and all effects are fine, too.
My mashine uses gdm instead of kdm (updates since f6) and maybe this could be the cause. Maybe when ksplash starts it tries to determine the screen resolution so that in can center the splash dialog and gets wrong values from the system. Or maybe they are calculated the wrong way since when the loading is done it's fine. f9 doesn't have kms therefore I think it's a problem with kde not with the driver.
Comment 3 Kevin Kofler 2009-02-17 09:56:08 EST
I'm using KDM, so that can't be it.

It could be a driver problem (mine is also ATI hardware), but why does it only affect KSplash and nothing else?

Both your pictures are with the FedoraWaves theme, which is also what I am using on the affected machine. Are you also seeing this with F10's SolarComet?
Comment 4 Joshua Covington 2009-02-17 15:49:26 EST
I cannot test it with f10 right now but I will till the end of the week.

There is something else that I noticed. If you take a closer look at the upper side of the screen (on the photos) you'll see that this is a kind of dialog with 2 options. I cannot clearly identify it but when I click on it everything (the ksplash screen) disappears until the main desktops is shown. This makes me feel that ksplash is asking for something before accepting some "default" values for the screen resolution, which appear to be correct at the end.

One more thing:
in the last 3-4 weeks in a couple of times I got some message that says, that something has taken too long to complete and therefore it would be deaktivated. After this message all window effects are turned off and only logout/login or ctrl+alt+F12 can restart them.

This whole thing makes me think that something with the openGL implementation or maybe with Compiz isn't working or has problems with older ati cards. However I'll test with f10 and report back.
Comment 5 Kevin Kofler 2009-02-17 16:29:51 EST
You're interpreting stuff which doesn't exist:

> This makes me feel that ksplash is asking for something before accepting some
> "default" values for the screen resolution, which appear to be correct at the
> end.

Nonsense. KSplash simply always disappears when you click on it. This has been a feature since forever. It has nothing to do with this bug.

In fact I'm not sure it's a screen resolution issue at all (though it may well be one).

> This whole thing makes me think that something with the openGL implementation
> or maybe with Compiz isn't working or has problems with older ati cards.

This also has nothing whatsoever to do with KSplash, it's a completely separate issue. I don't use desktop effects and I see this same issue. And KDE's desktop effects don't use Compiz.
Comment 6 Kevin Kofler 2009-02-17 16:30:39 EST
To clarify:
> I don't use desktop effects and I see this same issue.
I mean the KSplash issue, of course, not the "desktop effects have been deactivated" one. (There's nothing to deactivate, they're already off.)
Comment 7 Joshua Covington 2009-02-18 06:54:09 EST
What can it be? I tried to interpret what I saw but obviously I couldn't even come close to the problem. And I definitely don't know kde that good (at all).

Is this a fedora or a kde bug?
Comment 8 Kevin Kofler 2009-02-18 11:16:38 EST
It seems to be a KDE bug triggered by the Fedora 9 splash screen theme.
Comment 9 Joshua Covington 2009-02-23 18:58:16 EST
(In reply to comment #3)
> I'm using KDM, so that can't be it.
> 
> It could be a driver problem (mine is also ATI hardware), but why does it only
> affect KSplash and nothing else?
> 
> Both your pictures are with the FedoraWaves theme, which is also what I am
> using on the affected machine. Are you also seeing this with F10's SolarComet?

f10 with Solarcomet works fine. I changed the themes and the other two are also working fine. This appears (for me) only with f9 and the fedoraWaves theme, which I've customized. I've just editied the xml file for it.
Comment 10 Steven M. Parrish 2009-03-16 21:43:31 EDT
Changing version to F9
Comment 11 Steven M. Parrish 2009-06-07 19:43:22 EDT
Since F9 is about to go EOL going to close this as WONTFIX.  If you find this issue is showing up in either F10 or F11 please reopen this bug and change to the appropriate release.

-- 
Steven M. Parrish - KDE Triage Master
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.